clc;close all;clear all;
% nacteni dat pro simulaci
load VectorSimN;load VectorSimL;load VectorSimR;load VectorSimV;load VectorSimP;
SimVector=[VectorSimN VectorSimL VectorSimR VectorSimV VectorSimP];
load netN;load netL;load netR;load netV;load netP;
clear V*; clear I*;
% ...........................simulace .......................
OutputVector_N = sim(netN,SimVector);
OutputVector_L = sim(netL,SimVector);
OutputVector_R = sim(netR,SimVector);
OutputVector_V = sim(netV,SimVector);
OutputVector_P = sim(netP,SimVector);

vysledek2 = [OutputVector_N;OutputVector_L;OutputVector_R;OutputVector_V;OutputVector_P;];

% vypocet chyby simulace N
vysledekN=vysledek2(:,1:69326);
body=max(vysledekN);delka=length(body);
for i=1:1:delka
    x=vysledekN(:,i);
    x(x<body(i))=0; x(x==body(i))=1;
    vysledekN(:,i)=x;
end
N=0;
for ii=1:1:length(vysledekN)
if vysledekN(:,(ii))==[1;0;0;0;0;]
   N=N+1;
end
end
Nideal=69326;
chybaN=100-(N/Nideal*100)

% vypocet chyby simulace L
vysledekL=vysledek2(:,69327:77188);
body=max(vysledekL);delka=length(body);
for i=1:1:delka
    x=vysledekL(:,i);
    x(x<body(i))=0; x(x==body(i))=1;
    vysledekL(:,i)=x;
end
L=0;
for ii=1:1:length(vysledekL)
if vysledekL(:,(ii))==[0;1;0;0;0;]
   L=L+1;
end
end
Lideal=7862;
chybaL=100-(L/Lideal*100)

% vypocet chyby simulace R
vysledekR=vysledek2(:,77189:84144);
body=max(vysledekR);delka=length(body);
for i=1:1:delka
    x=vysledekR(:,i);
    x(x<body(i))=0; x(x==body(i))=1;
    vysledekR(:,i)=x;
end
R=0;
for ii=1:1:length(vysledekR)
if vysledekR(:,(ii))==[0;0;1;0;0;]
   R=R+1;
end
end
Rideal=6956;
chybaR=100-(R/Rideal*100)

% vypocet chyby simulace V
vysledekV=vysledek2(:,84145:90150);
body=max(vysledekV);delka=length(body);
for i=1:1:delka
    x=vysledekV(:,i);
    x(x<body(i))=0; x(x==body(i))=1;
    vysledekV(:,i)=x;
end
V=0;
for ii=1:1:length(vysledekV)
if vysledekV(:,(ii))==[0;0;0;1;0;]
   V=V+1;
end
end
Videal=6006;
chybaV=100-(V/Videal*100)

% vypocet chyby simulace P
vysledekP=vysledek2(:,90150:93663);
body=max(vysledekP);delka=length(body);
for i=1:1:delka
    x=vysledekP(:,i);
    x(x<body(i))=0; x(x==body(i))=1;
    vysledekP(:,i)=x;
end
P=0;
for ii=1:1:length(vysledekP)
if vysledekP(:,(ii))==[0;0;0;0;1;]
   P=P+1;
end
end
Pideal=3513;
chybaP=100-(P/Pideal*100)

